
Signed-Off-by: Maciej Pijanka <maciej.pijanka@gmail.com

Index: Makefile
===================================================================
--- Makefile	(revision 593)
+++ Makefile	(working copy)
@@ -26,18 +26,20 @@
 MANDIR  ?= $(PREFIX)/share/man
 CFLAGS  ?= -Os -Wall -Werror
 EXPORTDIR ?= .
+STRIP_ARGS = -s
 
 OS_ARCH	= $(shell uname)
-ifneq ($(OS_ARCH), SunOS)
-STRIP_ARGS = -s
-endif
-ifeq ($(OS_ARCH), Darwin)
+ifeq ($(OS_ARCH), SunOS)
+STRIP_ARGS := 
+else ifeq ($(OS_ARCH), Darwin)
 CFLAGS += -I/usr/local/include
 LDFLAGS += -framework IOKit -framework DirectIO -L/usr/local/lib
-endif
-ifeq ($(OS_ARCH), FreeBSD)
+else ifeq ($(OS_ARCH), FreeBSD)
 CFLAGS += -I/usr/local/include
 LDFLAGS += -L/usr/local/lib
+else 
+dummy-target:
+	echo "Your system $(OS_ARCH) isn't known to Makefile, try make all to force building anyway"
 endif
 
 LIBS += -lpci -lz
@@ -51,6 +53,7 @@
 	dummyflasher.o pcidev.o nic3com.o satasii.o
 
 all: pciutils dep $(PROGRAM)
+	@echo "Compiled with assumption that OS is $(OS_ARCH)"
 
 # Set the flashrom version string from the highest revision number
 # of the checked out flashrom files.
